Package org.apache.felix.atomos.maven.configs

## Class MavenClasspathMavenConfig

- java.lang.Object
- - org.apache.felix.atomos.maven.configs.MavenClasspathMavenConfig

    public class MavenClasspathMavenConfig
    extends Object

### Field Summary

Fields
`List<String>` `artefictIdPattern`
`List<String>` `groupIdPattern`
`boolean` `includingParent`
`List<String>` `scopePatterns`

### Constructor Summary

Constructors
`MavenClasspathMavenConfig()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### includingParent

    @Parameter(defaultValue="false",
               required=false,
               readonly=false)
    public boolean includingParent

#### scopePatterns

    @Parameter(required=false,
               readonly=false)
    public List<String> scopePatterns

#### groupIdPattern

    @Parameter(required=false,
               readonly=false)
    public List<String> groupIdPattern

#### artefictIdPattern

    @Parameter(required=false,
               readonly=false)
    public List<String> artefictIdPattern

### Constructor Detail

#### MavenClasspathMavenConfig

    public MavenClasspathMavenConfig()